QueryRewriterResult
Keywords: uk.ac.ic.doc.rodex.qproc.QueryRewriterResult class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.rodex.qproc
Class QueryRewriterResult

    java.lang.Object
      uk.ac.ic.doc.rodex.qproc.QueryRewriterResult

Direct Known Subclasses:
  RangeBasedQueryRewriterResult

    public class QueryRewriterResult

extends java.lang.Object

Field Summary
`protected java.lang.String` | `_containmentQuery`
`protected java.lang.String` | `_outputQuery`
`protected java.lang.String` | `_remainderQuery`
`protected java.util.List` | `_resultObjs`
`protected java.lang.String` | `_resultQuery`
`protected java.lang.String` | `_resultStr`
`protected java.util.Map` | `rangeDefs`
`protected java.util.List` | `views`

Constructor Summary
`QueryRewriterResult()` Creates a new instance of QueryRewriterResult

Method Summary
`void` | `addEntry(ASG view, ASG result, AutoMedType[] range)` Add a view entry (i.e.
`void` | `addRangeDef(java.lang.String field, AutoMedType[][] ranges)`
`void` | `addViewSet(java.util.List viewSet)`
`java.lang.String` | `createOutputQuery()` Create output query from rewritten query and remainder query
`java.lang.String` | `createResultQuery()` Create result query from cached result (of the rewritten query) and remainder query, i.e.
`java.lang.String` | `getContainmentQuery()`
`java.util.Map` | `getEntries()`
`ASG` | `getEntry(ASG view)`
`AutoMedType[]` | `getRange(ASG view)`
`AutoMedType[][]` | `getRangeDef(java.lang.String field)`
`java.lang.String` | `getRemainderQuery()`
`java.util.List` | `getResultObjects()` A `List` of `ASG` result objects
`java.lang.String` | `getResultString()` IQL tuple result (as string)
`java.util.List` | `getViewSet(int index)` Return a view set at a specified index.
`java.util.List` | `getViewSets()` Return the entire sets of view sets
`int` | `length()` Return the number of view sets in the result
`void` | `setContainmentQuery(java.lang.String query)`
`void` | `setRemainderQuery(java.lang.String query)`
`void` | `setResultObjects(java.util.List resultObjs)` A `List` of `ASG` result objects
`void` | `setResultString(java.lang.String resultString)` Set the IQL tuple result string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### views

    protected java.util.List views

### rangeDefs

    protected java.util.Map rangeDefs

### _remainderQuery

    protected java.lang.String _remainderQuery

### _containmentQuery

    protected java.lang.String _containmentQuery

### _outputQuery

    protected java.lang.String _outputQuery

### _resultObjs

    protected java.util.List _resultObjs

### _resultStr

    protected java.lang.String _resultStr

### _resultQuery

    protected java.lang.String _resultQuery

Constructor Detail

### QueryRewriterResult

    public QueryRewriterResult()

  Creates a new instance of QueryRewriterResult

Method Detail

### addViewSet

    public void addViewSet(java.util.List viewSet)

### setRemainderQuery

    public void setRemainderQuery(java.lang.String query)

### getRemainderQuery

    public java.lang.String getRemainderQuery()

### setContainmentQuery

    public void setContainmentQuery(java.lang.String query)

### getContainmentQuery

    public java.lang.String getContainmentQuery()

### createOutputQuery

    public java.lang.String createOutputQuery()

  Create output query from rewritten query and remainder query

### createResultQuery

    public java.lang.String createResultQuery()

  Create result query from cached result (of the rewritten query) and remainder query, i.e. result query = IQL tuple result (as string) ++ remainder query (if any)

### setResultObjects

    public void setResultObjects(java.util.List resultObjs)

  A `List` of `ASG` result objects

### getResultObjects

    public java.util.List getResultObjects()

  A `List` of `ASG` result objects

### setResultString

    public void setResultString(java.lang.String resultString)

  Set the IQL tuple result string

### getResultString

    public java.lang.String getResultString()

  IQL tuple result (as string)

### getViewSets

    public java.util.List getViewSets()

  Return the entire sets of view sets

### length

    public int length()

  Return the number of view sets in the result

### getViewSet

    public java.util.List getViewSet(int index)

  Return a view set at a specified index. This method is to be used in combination
  with `length()` method

### addEntry

    public void addEntry(ASG view,
                         ASG result,
                         AutoMedType[] range)

  Add a view entry (i.e. view & result)

  Parameters:
    `view` - an `ASG` representation of the view
    `result` - an `ASG`-list of the results matching the view

### getEntry

    public ASG getEntry(ASG view)

### getEntries

    public java.util.Map getEntries()

### getRange

    public AutoMedType[] getRange(ASG view)

### addRangeDef

    public void addRangeDef(java.lang.String field,
                            AutoMedType[][] ranges)

### getRangeDef

    public AutoMedType[][] getRangeDef(java.lang.String field)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD